Subject: [drinks] About extensibility.

From: Alexander Mayrhofer <[email-masked]>
Date: Thu, 11 Oct 2012 19:40:48 +0000

As per my action item from the last DRINKS design team call, i've looked at the respective text in the EPP RFCs (the "E" in EPP actually stands for "Extensible"). EPP specifications contain the following text regarding extensibility:

-          RFC 5730 (the base specification) has a dedicated "Protocol Extension Framework" section, which describes the three options (Protocol, Object, and command/response level extensions). All of these three sections require ("MUST") extensions to be described in seperate documents.

-          There is a dedicated document (RFC 3735 - "Guidelines for Extending the Extensible Provisioning Protocol") that describes how to create extensions to the protocol.

Looking at SPP, i think it definitely makes sense to create a respective section in the framework document that describes the extensibility options, in line with what RFC 5730 specifies in section 2.7. I haven't created any specific text yet, but hope to get to that over the next few days.

Alex